# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /Users/runner/work/distributions/distributions/plugin/ci/recipe, last modified Tue Aug 27 19:00:43 2024
# ------------------------------------------------

package:
  name: q2-types
  version: 2024.10.0.dev0+20.g30d8c74
source:
  path: /Users/runner/work/distributions/distributions/plugin
build:
  script: make install
  string: py39h5a340cf_0
requirements:
  host:
    - bzip2 1.0.8 hfdf4475_7
    - ca-certificates 2024.7.4 h8857fd0_0
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.46.0 h1b8f9f3_0
    - libzlib 1.3.1 h87427d6_1
    - ncurses 6.5 hf036a51_1
    - openssl 3.3.1 hd23fc13_3
    - pip 24.2 pyhd8ed1ab_0
    - python 3.9.19 h7a9c478_0_cpython
    - readline 8.2 h9e318b2_1
    - setuptools 72.2.0 pyhd8ed1ab_0
    - tk 8.6.13 h1abcd95_1
    - tzdata 2024a h8827d51_1
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h775f41a_0
  run:
    - biom-format 2.1.15.*
    - h5py
    - ijson
    - numpy
    - pandas 2.2.2.*
    - pyhmmer
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
    - qiime2 2024.10.*
    - samtools
    - scikit-bio 0.6.0.*
    - scipy 1.13.0.*
test:
  commands:
    - py.test --pyargs q2_types
  imports:
    - q2_types
    - qiime2.plugins.types
  requires:
    - pytest
    - qiime2 >=2024.10.0.dev0+10.g9cf8e29
about:
  home: https://qiime2.org
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
